Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007614opensim[REGION] Specific OpenSim Modulepublic2015-06-14 03:392019-02-05 12:27
Reporteraiaustin 
Assigned Totampa 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionwon't fix 
PlatformPCOSWindowsOS Version8.1
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0007614: [MRMModule] Tidy Compiler Warnings
DescriptionThere are six compiler warnings issued on a compile of r/26072 (12-Jun-2015) under Windows 8.1 for MRMModule.cs related to obselete .NET mechanisms ...

Scripting\Minimodule\MRMModule.cs(193,13): warning CS0618: 'System.Security.Policy.UnionCodeGroup' is obsolete: 'This type is obsolete and will be removed in a future release of the .NET Framework. See http://go.microsoft.com/fwlink/?LinkID=155570 [^] for more information.' [D:\Temp\opensim-54c1659\OpenSim\Region\OptionalModules\OpenSim.Region.OptionalModules.csproj]

Scripting\Minimodule\MRMModule.cs(193,45): warning CS0618: 'System.Security.Policy.UnionCodeGroup' is obsolete: 'This type is obsolete and will be removed in a future release of the .NET Framework. See http://go.microsoft.com/fwlink/?LinkID=155570 [^] for more information.' [D:\Temp\opensim-54c1659\OpenSim\Region\OptionalModules\OpenSim.Region.OptionalModules.csproj]

Scripting\Minimodule\MRMModule.cs(199,43): warning CS0618: 'System.Security.SecurityManager.PolicyHierarchy()' is obsolete: 'This method is obsolete and will be removed in a future release of the .NET Framework. See http://go.microsoft.com/fwlink/?LinkID=155570 [^] for more information.' [D:\Temp\opensim-54c1659\OpenSim\Region\OptionalModules\OpenSim.Region.OptionalModules.csproj]

Scripting\Minimodule\MRMModule.cs(230,37): warning CS0618: 'System.Security.Policy.UnionCodeGroup' is obsolete: 'This type is obsolete and will be removed in a future release of the .NET Framework. See http://go.microsoft.com/fwlink/?LinkID=155570 [^] for more information.' [D:\Temp\opensim-54c1659\OpenSim\Region\OptionalModules\OpenSim.Region.OptionalModules.csproj]

Scripting\Minimodule\MRMModule.cs(233,42): warning CS0618: 'System.Security.Policy.PolicyLevel.CreateAppDomainLevel()' is obsolete: 'AppDomain policy levels are obsolete and will be removed in a future release of the .NET Framework. See http://go.microsoft.com/fwlink/?LinkID=155570 [^] for more information.' [D:\Temp\opensim-54c1659\OpenSim\Region\OptionalModules\OpenSim.Region.OptionalModules.csproj]

Scripting\Minimodule\MRMModule.cs(239,13): warning CS0618: 'System.AppDomain.SetAppDomainPolicy(System.Security.Policy.PolicyLevel)' is obsolete: 'AppDomain policy levels are obsolete and will be removed in a future release of the .NET Framework. See http://go.microsoft.com/fwlink/?LinkID=155570 [^] for more information.' [D:\Temp\opensim-54c1659\OpenSim\Region\OptionalModules\OpenSim.Region.OptionalModules.csproj]
TagsNo tags attached.
Git Revision or version numberr/27072
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Files

- Relationships

-  Notes
(0034119)
tampa (reporter)
2019-02-04 10:39

Module has been removed entirely.
(0034300)
BillBlight (developer)
2019-02-05 12:27

Old Issues, closed, can be reopened if they still exist

- Issue History
Date Modified Username Field Change
2015-06-14 03:39 aiaustin New Issue
2019-02-04 10:39 tampa Note Added: 0034119
2019-02-04 10:39 tampa Status new => resolved
2019-02-04 10:39 tampa Resolution open => won't fix
2019-02-04 10:39 tampa Assigned To => tampa
2019-02-05 12:27 BillBlight Note Added: 0034300
2019-02-05 12:27 BillBlight Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker